package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CasetaPeaje;

public class RenderCasetaPeaje implements ListitemRenderer {
	
	public void render(Listitem lstm, Object o) throws Exception {
		CasetaPeaje cp = (CasetaPeaje) o;
		
		if (cp != null) {
			Listcell lc = new Listcell(cp.getCasetaPeajeId().toString());
			lc.setParent(lstm);
			lc = new Listcell(cp.getDesccaseta() != null ? cp.getDesccaseta() : "");
			lc.setParent(lstm);
			lc = new Listcell(cp.getImporteIda() != null ? cp.getImporteIda().toString().replace(".", ",") : "");
			lc.setParent(lstm);
			lc = new Listcell(cp.getImporteVuelta() != null ? cp.getImporteVuelta().toString().replace(".", ",") : "");
			lc.setParent(lstm);
		}
		
		lstm.setAttribute("data", cp);
	}

}
